Loading...
Searching...
No Matches
sdbus::PropertyVTableItem Struct Reference

## Public Member Functions

template<typename Function>
PropertyVTableItem & | withGetter (Function &&callback)
template<typename Function>
PropertyVTableItem & | withSetter (Function &&callback)
PropertyVTableItem & | markAsDeprecated ()
PropertyVTableItem & | markAsPrivileged ()
PropertyVTableItem & | withUpdateBehavior (Flags::PropertyUpdateBehaviorFlags behavior)

## Public Attributes

PropertyName | name
Signature | signature
property_get_callback | getter
property_set_callback | setter
Flags | flags

The documentation for this struct was generated from the following files:

- include/sdbus-c++/VTableItems.h
- include/sdbus-c++/VTableItems.inl